2019-11-14  Release Manager

	* GCC 7.5.0 released.

2018-12-06  Release Manager

	* GCC 7.4.0 released.

2018-06-22  Jakub Jelinek  <jakub@redhat.com>

	Backported from mainline
	2018-04-18  David Malcolm  <dmalcolm@redhat.com>

	PR jit/85384
	* configure: Regenerate.

2018-01-25  Release Manager

	* GCC 7.3.0 released.

2017-08-14  Release Manager

	* GCC 7.2.0 released.

2017-06-23  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* runtime/config/sparc/os-unix-sysdep.c (__cilkrts_getticks): Adjust
	preprocessor test for SPARC/Linux.
	* runtime/jmpbuf.h (CILK_[UN]ADJUST_SP): Likewise.

2017-05-02  Release Manager

	* GCC 7.1.0 released.

2017-01-20  Jakub Jelinek  <jakub@redhat.com>

	PR other/79046
	* aclocal.m4: Regenerated.
	* Makefile.in: Regenerated.

2017-01-17  Jakub Jelinek  <jakub@redhat.com>

	PR other/79046
	* configure.ac: Add GCC_BASE_VER.
	* Makefile.am (gcc_version): Use @get_gcc_base_ver@ instead of cat to
	get version from BASE-VER file.
	* aclocal.m4: Include ../config/acx.m4.
	* configure: Regenerated.
	* Makefile.in: Regenerated.

2016-12-01  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	PR target/68945
	Merge from upstream, version 2.0.4467.0.
	Fix typo in git URL.
	* aclocal.m4, configure, Makefile.in: Regenerate.

2016-11-15  Matthias Klose  <doko@ubuntu.com>

	* configure: Regenerate.

2016-05-10  Matthias Klose  <doko@ubuntu.com>

	* configure.ac: Move AC_USE_SYSTEM_EXTENSIONS behind AM_ENABLE_MULTILIB.
	* configure: Regenerate.

2016-05-04  Ilya Verbin  <ilya.verbin@intel.com>

	* Makefile.am: Merge from upstream, version 2.0.4420.0
	<https://bitbucket.org/intelcilkruntime/intel-cilk-runtime.git>.
	* README: Likewise.
	* configure.ac: Likewise.
	* configure.tgt: Likewise.
	* include/cilk/cilk.h: Likewise.
	* include/cilk/cilk_api.h: Likewise.
	* include/cilk/cilk_api_linux.h: Likewise.
	* include/cilk/cilk_stub.h: Likewise.
	* include/cilk/cilk_undocumented.h: Likewise.
	* include/cilk/common.h: Likewise.
	* include/cilk/holder.h: Likewise.
	* include/cilk/hyperobject_base.h: Likewise.
	* include/cilk/metaprogramming.h: Likewise.
	* include/cilk/reducer.h: Likewise.
	* include/cilk/reducer_file.h: Likewise.
	* include/cilk/reducer_list.h: Likewise.
	* include/cilk/reducer_max.h: Likewise.
	* include/cilk/reducer_min.h: Likewise.
	* include/cilk/reducer_min_max.h: Likewise.
	* include/cilk/reducer_opadd.h: Likewise.
	* include/cilk/reducer_opand.h: Likewise.
	* include/cilk/reducer_opmul.h: Likewise.
	* include/cilk/reducer_opor.h: Likewise.
	* include/cilk/reducer_opxor.h: Likewise.
	* include/cilk/reducer_ostream.h: Likewise.
	* include/cilk/reducer_string.h: Likewise.
	* include/cilktools/cilkscreen.h: Likewise.
	* include/cilktools/cilkview.h: Likewise.
	* include/cilktools/fake_mutex.h: Likewise.
	* include/cilktools/lock_guard.h: Likewise.
	* include/internal/abi.h: Likewise.
	* include/internal/cilk_fake.h: Likewise.
	* include/internal/cilk_version.h: Likewise.
	* include/internal/metacall.h: Likewise.
	* include/internal/rev.mk: Likewise.
	* mk/cilk-version.mk: Likewise.
	* runtime/acknowledgements.dox: Likewise.
	* runtime/bug.cpp: Likewise.
	* runtime/bug.h: Likewise.
	* runtime/c_reducers.c: Likewise.
	* runtime/cilk-abi-cilk-for.cpp: Likewise.
	* runtime/cilk-abi-vla-internal.c: Likewise.
	* runtime/cilk-abi-vla-internal.h: Likewise.
	* runtime/cilk-abi.c: Likewise.
	* runtime/cilk-ittnotify.h: Likewise.
	* runtime/cilk-tbb-interop.h: Likewise.
	* runtime/cilk_api.c: Likewise.
	* runtime/cilk_fiber-unix.cpp: Likewise.
	* runtime/cilk_fiber-unix.h: Likewise.
	* runtime/cilk_fiber.cpp: Likewise.
	* runtime/cilk_fiber.h: Likewise.
	* runtime/cilk_malloc.c: Likewise.
	* runtime/cilk_malloc.h: Likewise.
	* runtime/component.h: Likewise.
	* runtime/config/generic/cilk-abi-vla.c: Likewise.
	* runtime/config/generic/os-fence.h: Likewise.
	* runtime/config/generic/os-unix-sysdep.c: Likewise.
	* runtime/config/x86/cilk-abi-vla.c: Likewise.
	* runtime/config/x86/os-fence.h: Likewise.
	* runtime/config/x86/os-unix-sysdep.c: Likewise.
	* runtime/doxygen-layout.xml: Likewise.
	* runtime/doxygen.cfg: Likewise.
	* runtime/except-gcc.cpp: Likewise.
	* runtime/except-gcc.h: Likewise.
	* runtime/except.h: Likewise.
	* runtime/frame_malloc.c: Likewise.
	* runtime/frame_malloc.h: Likewise.
	* runtime/full_frame.c: Likewise.
	* runtime/full_frame.h: Likewise.
	* runtime/global_state.cpp: Likewise.
	* runtime/global_state.h: Likewise.
	* runtime/jmpbuf.c: Likewise.
	* runtime/jmpbuf.h: Likewise.
	* runtime/linux-symbols.ver: Likewise.
	* runtime/local_state.c: Likewise.
	* runtime/local_state.h: Likewise.
	* runtime/mac-symbols.txt: Likewise.
	* runtime/metacall_impl.c: Likewise.
	* runtime/metacall_impl.h: Likewise.
	* runtime/os-unix.c: Likewise.
	* runtime/os.h: Likewise.
	* runtime/os_mutex-unix.c: Likewise.
	* runtime/os_mutex.h: Likewise.
	* runtime/pedigrees.c: Likewise.
	* runtime/pedigrees.h: Likewise.
	* runtime/record-replay.cpp: Likewise.
	* runtime/record-replay.h: Likewise.
	* runtime/reducer_impl.cpp: Likewise.
	* runtime/reducer_impl.h: Likewise.
	* runtime/rts-common.h: Likewise.
	* runtime/scheduler.c: Likewise.
	* runtime/scheduler.h: Likewise.
	* runtime/signal_node.c: Likewise.
	* runtime/signal_node.h: Likewise.
	* runtime/spin_mutex.c: Likewise.
	* runtime/spin_mutex.h: Likewise.
	* runtime/stats.c: Likewise.
	* runtime/stats.h: Likewise.
	* runtime/sysdep-unix.c: Likewise.
	* runtime/sysdep.h: Likewise.
	* runtime/worker_mutex.c: Likewise.
	* runtime/worker_mutex.h: Likewise.
	* include/cilk/reducer_vector.h: New.
	* runtime/cilk_str_mem.h: New.
	* runtime/config/arm/cilk-abi-vla.c: New.
	* runtime/config/arm/os-fence.h: New.
	* runtime/config/arm/os-unix-sysdep.c: New.
	* runtime/declare-alloca.h: New.
	* runtime/sslib/ignore_handler_s.c: New.
	* runtime/sslib/safe_lib.h: New.
	* runtime/sslib/safe_lib_errno.h: New.
	* runtime/sslib/safe_str_constraint.c: New.
	* runtime/sslib/safe_str_constraint.h: New.
	* runtime/sslib/safe_str_lib.h: New.
	* runtime/sslib/safe_types.h: New.
	* runtime/sslib/safeclib_private.h: New.
	* runtime/sslib/snprintf_s.h: New.
	* runtime/sslib/snprintf_support.c: New.
	* runtime/sslib/strcpy_s.c: New.
	* runtime/sslib/strncpy_s.c: New.
	* runtime/sslib/strnlen_s.c: New.
	* runtime/symbol_test.c: Remove.
	* Makefile.in: Regenerate.
	* configure: Regenerate.

2016-04-26  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	PR target/60290
	* Makefile.am (GENERAL_FLAGS): Add -funwind-tables.
	* Makefile.in: Regenerate.

2015-11-09  Igor Zamyatin  <igor.zamyatin@intel.com>

	PR target/66326
	* runtime/config/x86/os-unix-sysdep.c (sysdep_save_fp_ctrl_state):
	Use fnstcw instead fnstsw.

2015-05-13  Michael Haubenwallner  <michael.haubenwallner@ssi-schaefer.com>

	* Makefile.in: Regenerated with automake-1.11.6.
	* aclocal.m4: Likewise.
	* configure: Likewise.

2015-01-26  Matthias Klose  <doko@ubuntu.com>

	* configure.ac: Move AM_ENABLE_MULTILIB before AC_PROG_CC.
	* configure: Regenerate.

2014-11-21  H.J. Lu  <hongjiu.lu@intel.com>

	PR bootstrap/63784
	* configure: Regenerated.

2014-11-13  Kirill Yukhin  <kirill.yukhin@intel.com>

	* configure.tgt: Use config/target-posix.

2014-11-11  Francois-Xavier Coudert  <fxcoudert@gcc.gnu.org>

	PR target/63610
	* configure: Regenerate.

2014-08-01  Alexander Ivchenko  <alexander.ivchenko@intel.com>

	* configure.ac: Move pthread affinity test to the place where
	'-pthread' passed to CFLAGS. Otherwise the test always fails.
	(XCFLAGS): New variable for correctly passing
	'-pthread'.
	(XLDFLAGS): New variable for passing the correct pthread lib.
	* configure: Regenerate.
	* Makefile.am (AM_CFLAGS): Add $XCFLAGS.
	(AM_LDFLAGS): Add $XLDFLAGS.
	* Makefile.in: Regenerate.

2014-05-21  John Marino  <gnugcc@marino.st>

	* runtime/os-unix.c (__DragonFly__): New target.

2014-04-11  Barry Tannenbaum  <barry.m.tannenbaum@intel.com>

	PR other/60644
	* runtime/os-unix.c: Replaced all occurrances of ANDROID with
	__ANDROID__.
	* runtime/bug.h: Likewise.
	* include/cilk/metaprogramming.h: Likewise.
	* include/cilk/reducer_min_max.h: Likewise.

2014-03-26  Tobias Burnus  <burnus@net-b.de>

	* libcilkrts.spec.in: New.
	* Makefile.am: Handle libcilkrts.spec.
	* configure.ac: Determine link options for libcilkrts.spec.
	* Makefile.in: Regenerate.
	* configure: Regenerate.
	* aclocal.m4: Regenerate.

2014-03-20  Tobias Burnus  <burnus@net-b.de>

	PR other/60589

	Reverted:
	2014-03-09  Tobias Burnus  <burnus@net-b.de>

	* Makefile.am: Install cilk.h.
	* Makefile.in: Regenerate.
	* aclocal.m4: Regenerate.

2014-03-09  Tobias Burnus  <burnus@net-b.de>

	* Makefile.am: Install cilk.h.
	* Makefile.in: Regenerate.
	* aclocal.m4: Regenerate.

2014-02-18  Balaji V. Iyer  <balaji.v.iyer@intel.com>

	* include/cilk/common.h (__CILKRTS_ABI_VERSION): Set the ABI version
	to 1 instead of 0.
	* runtime/cilk-abi-cilk-for.cpp (cilk_for_recursive): Added a fix to
	initialize stack frame correctly.

2014-02-10  Balaji V. Iyer  <balaji.v.iyer@intel.com>

	PR target/59691
	* runtime/config/x86/os-unix-sysdep.c (__builtin_cpu_supports): New
	function.
	(restore_x86_fp_state): Added a check if the cpu supports the
	instruction before emitting it.
	(sysdep_save_fp_ctrl_state): Likewise.

2014-01-20  Balaji V. Iyer  <balaji.v.iyer@intel.com>

	PR other/58996
	* configure.ac: Added a check for pthread affinity support.
	* runtime/os-unix.c: Likewise.
	* configure: Regenerate.

2014-01-09  Balaji V. Iyer  <balaji.v.iyer@intel.com>

	bootstrap/59094
	* Makefile.am (cilkincludedir): Fixed a bug to store version-specific
	runtime libraries in the correct place.
	* Makefile.in: Regenerate.

2013-12-13  Balaji V. Iyer  <balaji.v.iyer@intel.com>

	* Makefile.am (GENERAL_FLAGS): Removed undefining of Cilk keywords.
	* Makefile.in: Reconfigure.
	* runtime/symbol_test.c: Added a #define to clear out _Cilk_for.

2013-11-25  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure.ac (GCC_LIBSTDCXX_RAW_CXX_FLAGS): Remove.
	* configure: Regenerate.

2013-11-22  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure.ac (libcilkrts_cv_have_attribute_visibility): Check
	for __attribute__((visibility)).
	* configure: Regenerate.
	* include/cilk/common.h (CILK_EXPORT, CILK_EXPORT_DATA): Only use
	__attribute__((visibility)) if HAVE_ATTRIBUTE_VISIBILITY.

2013-11-22  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure.ac (AC_PROG_CXX): Move after AC_PROG_CC.
	* configure: Regenerate.

2013-11-12  Balaji V. Iyer  <balaji.v.iyer@intel.com>

	* Makefile.am (libcilkrts_la_LDFLAGS): Added a check for availability
	of "-ldl" flag.
	* configure.ac: Likewise.
	* configure: Regenerate
	* Makefile.in: Likewise.

2013-11-08  Balaji V. Iyer  <balaji.v.iyer@intel.com>

	PR c/59039
	* runtime/cilk_fiber-unix.cpp: Fixed a crash in run() function
	when optimization is turned on.

2013-11-04  Balaji V. Iyer  <balaji.v.iyer@intel.com>

	PR bootstrap/58951
	* Makefile.am (AM_LDFLAGS): Removed -ldl flag.
	* Makefile.in: Regenerate.

2013-11-04  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* runtime/os-unix.c [__sun__ && __svr4__]: Include <sched.h>.
	(__cilkrts_hardware_cpu_count) [__sun__ && __svr4__]: Use sysconf.
	(__cilkrts_yield) [__sun__ && __svr4__]: Use sched_yield.

2013-10-31  Balaji V. Iyer  <balaji.v.iyer@intel.com>

	PR other/58925
	* configure.ac: Added target_alias and GCC_LIBSTDCXX_RAW_CXX_FLAGS
	fields.
	* configure: Regenerated.
	* aclocal.m4: Likewise.
	* Makefile.in: Likewise.
	* Makefile.am: Added gcc_version field.

2013-10-30  Balaji V. Iyer  <balaji.v.iyer@intel.com>

	* configure.ac: Changed a case statement to include i386.
	* configure: Regenerated.

2013-10-30  Balaji V. Iyer  <balaji.v.iyer@intel.com>

	PR bootstrap/58918
	* configure: Reconfigured.
	* configure.ac: Add AC_FUNC_ALLOCA.
	* runtime/sysdep-unix.c: Added check for alloca.h before 
	including it.
	* config/x86/cilk-abi-vla.c: Likewise.
	* runtime/cilk_fiber-unix.cpp: Likewise.

2013-10-29  Tobias Burnus  <burnus@net-b.de>

	* configure.ac: Add AM_MAINTAINER_MODE.
	* aclocal.m4: Regenerate.
	* configure.ac: Regenerate.
	* Makefile.in: Regenerate.

2013-10-23  Balaji V. Iyer  <balaji.v.iyer@intel.com>

	* libcilkrts/Makefile.am: New file.  Libcilkrts version 3902.
	* libcilkrts/Makefile.in: Likewise
	* libcilkrts/README: Likewise
	* libcilkrts/aclocal.m4: Likewise
	* libcilkrts/configure: Likewise
	* libcilkrts/configure.ac: Likewise
	* libcilkrts/include/cilk/cilk.h: Likewise
	* libcilkrts/include/cilk/cilk_api.h: Likewise
	* libcilkrts/include/cilk/cilk_api_linux.h: Likewise
	* libcilkrts/include/cilk/cilk_stub.h: Likewise
	* libcilkrts/include/cilk/cilk_undocumented.h: Likewise
	* libcilkrts/include/cilk/common.h: Likewise
	* libcilkrts/include/cilk/holder.h: Likewise
	* libcilkrts/include/cilk/hyperobject_base.h: Likewise
	* libcilkrts/include/cilk/metaprogramming.h: Likewise
	* libcilkrts/include/cilk/reducer.h: Likewise
	* libcilkrts/include/cilk/reducer_file.h: Likewise
	* libcilkrts/include/cilk/reducer_list.h: Likewise
	* libcilkrts/include/cilk/reducer_max.h: Likewise
	* libcilkrts/include/cilk/reducer_min.h: Likewise
	* libcilkrts/include/cilk/reducer_min_max.h: Likewise
	* libcilkrts/include/cilk/reducer_opadd.h: Likewise
	* libcilkrts/include/cilk/reducer_opand.h: Likewise
	* libcilkrts/include/cilk/reducer_opmul.h: Likewise
	* libcilkrts/include/cilk/reducer_opor.h: Likewise
	* libcilkrts/include/cilk/reducer_opxor.h: Likewise
	* libcilkrts/include/cilk/reducer_ostream.h: Likewise
	* libcilkrts/include/cilk/reducer_string.h: Likewise
	* libcilkrts/include/cilktools/cilkscreen.h: Likewise
	* libcilkrts/include/cilktools/cilkview.h: Likewise
	* libcilkrts/include/cilktools/fake_mutex.h: Likewise
	* libcilkrts/include/cilktools/lock_guard.h: Likewise
	* libcilkrts/include/internal/abi.h: Likewise
	* libcilkrts/include/internal/cilk_fake.h: Likewise
	* libcilkrts/include/internal/cilk_version.h: Likewise
	* libcilkrts/include/internal/inspector-abi.h: Likewise
	* libcilkrts/include/internal/metacall.h: Likewise
	* libcilkrts/include/internal/rev.mk: Likewise
	* libcilkrts/mk/cilk-version.mk: Likewise
	* libcilkrts/mk/unix-common.mk: Likewise
	* libcilkrts/runtime/acknowledgements.dox: Likewise
	* libcilkrts/runtime/bug.cpp: Likewise
	* libcilkrts/runtime/bug.h: Likewise
	* libcilkrts/runtime/c_reducers.c: Likewise
	* libcilkrts/runtime/cilk-abi-cilk-for.cpp: Likewise
	* libcilkrts/runtime/cilk-abi-vla-internal.c: Likewise
	* libcilkrts/runtime/cilk-abi-vla-internal.h: Likewise
	* libcilkrts/runtime/cilk-abi-vla.c: Likewise
	* libcilkrts/runtime/cilk-abi.c: Likewise
	* libcilkrts/runtime/cilk-ittnotify.h: Likewise
	* libcilkrts/runtime/cilk-tbb-interop.h: Likewise
	* libcilkrts/runtime/cilk_api.c: Likewise
	* libcilkrts/runtime/cilk_fiber-unix.cpp: Likewise
	* libcilkrts/runtime/cilk_fiber-unix.h: Likewise
	* libcilkrts/runtime/cilk_fiber.cpp: Likewise
	* libcilkrts/runtime/cilk_fiber.h: Likewise
	* libcilkrts/runtime/cilk_malloc.c: Likewise
	* libcilkrts/runtime/cilk_malloc.h: Likewise
	* libcilkrts/runtime/component.h: Likewise
	* libcilkrts/runtime/doxygen-layout.xml: Likewise
	* libcilkrts/runtime/doxygen.cfg: Likewise
	* libcilkrts/runtime/except-gcc.cpp: Likewise
	* libcilkrts/runtime/except-gcc.h: Likewise
	* libcilkrts/runtime/except.h: Likewise
	* libcilkrts/runtime/frame_malloc.c: Likewise
	* libcilkrts/runtime/frame_malloc.h: Likewise
	* libcilkrts/runtime/full_frame.c: Likewise
	* libcilkrts/runtime/full_frame.h: Likewise
	* libcilkrts/runtime/global_state.cpp: Likewise
	* libcilkrts/runtime/global_state.h: Likewise
	* libcilkrts/runtime/jmpbuf.c: Likewise
	* libcilkrts/runtime/jmpbuf.h: Likewise
	* libcilkrts/runtime/local_state.c: Likewise
	* libcilkrts/runtime/local_state.h: Likewise
	* libcilkrts/runtime/metacall_impl.c: Likewise
	* libcilkrts/runtime/metacall_impl.h: Likewise
	* libcilkrts/runtime/os-unix.c: Likewise
	* libcilkrts/runtime/os.h: Likewise
	* libcilkrts/runtime/os_mutex-unix.c: Likewise
	* libcilkrts/runtime/os_mutex.h: Likewise
	* libcilkrts/runtime/pedigrees.c: Likewise
	* libcilkrts/runtime/pedigrees.h: Likewise
	* libcilkrts/runtime/record-replay.cpp: Likewise
	* libcilkrts/runtime/record-replay.h: Likewise
	* libcilkrts/runtime/reducer_impl.cpp: Likewise
	* libcilkrts/runtime/reducer_impl.h: Likewise
	* libcilkrts/runtime/rts-common.h: Likewise
	* libcilkrts/runtime/scheduler.c: Likewise
	* libcilkrts/runtime/scheduler.h: Likewise
	* libcilkrts/runtime/signal_node.c: Likewise
	* libcilkrts/runtime/signal_node.h: Likewise
	* libcilkrts/runtime/spin_mutex.c: Likewise
	* libcilkrts/runtime/spin_mutex.h: Likewise
	* libcilkrts/runtime/stacks.h: Likewise
	* libcilkrts/runtime/stats.c: Likewise
	* libcilkrts/runtime/stats.h: Likewise
	* libcilkrts/runtime/symbol_test.c: Likewise
	* libcilkrts/runtime/sysdep-unix.c: Likewise
	* libcilkrts/runtime/sysdep.h: Likewise
	* libcilkrts/runtime/unix_symbols.t: Likewise
	* libcilkrts/runtime/worker_mutex.c: Likewise
	* libcilkrts/runtime/worker_mutex.h: Likewise

